Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Interface HistoryBrowser.HistoryBrowserListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  HistoryBrowser.HistoryBrowserAdapter

Enclosing class:
  HistoryBrowser

    public static interface HistoryBrowser.HistoryBrowserListener

extends EventListener

The HistoryBrowserListener.

Method Summary
`void` | `compoundEditPerformed(HistoryBrowser.HistoryBrowserEvent event)` The compound command has been made from the atom commands that were executed and should be wrapped.
`void` | `doCompoundEdit(HistoryBrowser.HistoryBrowserEvent event)` The the atom command that should be wrapped with the compound command has been executed.
`void` | `executePerformed(HistoryBrowser.HistoryBrowserEvent event)` The command has been executed.
`void` | `historyReset(HistoryBrowser.HistoryBrowserEvent event)` History has been reset, and all commands have been removed from the history.
`void` | `redoPerformed(HistoryBrowser.HistoryBrowserEvent event)` The redo has been performed on the command.
`void` | `undoPerformed(HistoryBrowser.HistoryBrowserEvent event)` The undo has been performed on the command.

Method Detail

### executePerformed

    void executePerformed(HistoryBrowser.HistoryBrowserEvent event)

  The command has been executed.

### undoPerformed

    void undoPerformed(HistoryBrowser.HistoryBrowserEvent event)

  The undo has been performed on the command.

### redoPerformed

    void redoPerformed(HistoryBrowser.HistoryBrowserEvent event)

  The redo has been performed on the command.

### historyReset

    void historyReset(HistoryBrowser.HistoryBrowserEvent event)

  History has been reset, and all commands have been removed from the history.

### doCompoundEdit

    void doCompoundEdit(HistoryBrowser.HistoryBrowserEvent event)

  The the atom command that should be wrapped with the compound command has been executed.

### compoundEditPerformed

    void compoundEditPerformed(HistoryBrowser.HistoryBrowserEvent event)

  The compound command has been made from the atom commands that were executed and should be wrapped.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.